Subject: [bug#69234] [PATCH] gnu: go-github-com-shirou-gopsutil: Update to 3.24.1.

From: Troy Figiel <[email-masked]>
Date: Mon, 19 Feb 2024 09:35:37 +0100

Hi Oleg,

On 2024-02-18 23:42, Sharlatan Hellseher wrote:
> go 1.15
> 
> require (
> 	github.com/google/go-cmp v0.6.0
> 	github.com/lufia/plan9stats v0.0.0-20211012122336-39d0f177ccd0
> 	github.com/power-devops/perfstat v0.0.0-20210106213030-5aafc221ea8c
> 	github.com/shoenig/go-m1cpu v0.1.6
> 	github.com/stretchr/testify v1.8.4
> 	github.com/tklauser/go-sysconf v0.3.12
> 	github.com/yusufpapurcu/wmi v1.2.3
> 	golang.org/x/sys v0.16.0
> )
> 

Currently the following modules are included in the propagated inputs:
- github.com/tklauser/go-sysconf
- golang.org/x/sys

And only one module is included in the native inputs:
- github.com/stretchr/testify

These are in fact all the modules we need, because the others are hidden
behind build tags that are unsupported by Guix:

//go:build plan9
- github.com/google/go-cmp/cmp
- github.com/lufia/plan9stats

//go:build aix && cgo
- github.com/power-devops/perfstat

//go:build darwin
- github.com/shoenig/go-m1cpu

//go:build windows
- github.com/yusufpapurcu/wmi

> I see the package is not in use by any others, but maybe it's planned for
> the update you planned. Would like to pack missing inputs for the
> v3.24.1 and rename it to go-github-com-shirou-gopsutil-v3?
> 

I can rename it to v3 if that would be preferable. I still need to fix
v2 of gopsutil since it failed to build with the "/..." fix. I will
split the fix and the addition of v3 into, and add both of them to this
issue as a second version of the patch series.

Best wishes,

Troy